For the complete documentation index, see llms.txt. This page is also available as Markdown.

Employees

Get employees

get
/employees/

This endpoint is used to get employee data from OutSmart. Each employee record can contain the following data:

Parameter
Description

firstname

First name of the employee

lastname

Last name of the Employee

number

Unique number used as id for this employee

active

Bit value indicating whether the employee is set as active. Active employees use a license of the OutSmart account. Possible values: 0 - indicates inactive user 1 - indicates active user

mobile

Mobile phone number of the employee

email

Email address of the employee

address

Employee home address: street address and house number

zipcode

Postal code of the employee's home address

city

Employee's home address city

country

Employee's country residence

latitude

Latitude coordinate. Used for displaying the employee's location on the map next to the planning board. Commonly used with GPS track & trace integrations

longitude

Longitude coordinate. Used for displaying the employee's location on the map next to the planning board. Commonly used with GPS track & trace integrations

warehouse

vehicle

ID of the vehicle driven by the employee. Mainly used with GPS track & trace integrations

birthday

Birthday of the employee

emp_freefield_1

Freefield. Can be used for storing any additional data

emp_freefield_2

Freefield. Can be used for storing any additional data

emp_freefield_3

Freefield. Can be used for storing any additional data

emp_freefield_4

Freefield. Can be used for storing any additional data

emp_freefield_5

Freefield. Can be used for storing any additional data

emp_certification_number_1

emp_certification_number_2

emp_order

Integer value. Determines the order in which employees are displayed on the planbord

start_type

Defines the type of the employee's starting location. Mainly used for GPS track and trace integrations, to determine the start of a work day. Possible values: EMPLOYEE_ADDRESS - Starting address is equal to the employee's home address COMPANY_ADDRESS - Starting address is equal to the company address details set in the Outsmart account OTHER - Option to supply a different starting address manually. Use starting address fields as additional input

start_address

Starting address for employee. Street name and house number

start_city

Starting address city for the employee

start_zipcode

Starting address postal code for the employee

start_country

Starting address country for the employee

start_latitude

Starting address latitude coordinates

start_longitude

Starting address longitude coordinates

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

get/employees/
GET /employees/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Add employees

post
/employees/

Use this endpoint to create or edit employee data in OutSmart. When an employee with the supplied number exists, the existing employee record will be overwritten. Each employee record can contain the following data:

Parameter
Required
Description

number

Y

Unique number used as id for this employee

firstname

Y

First name of the employee

lastname

Y

Last name of the Employee

active

N

Bit value indicating whether the employee is set as active. Active employees use a license of the OutSmart account. Possible values: 0 - indicates inactive user 1 - indicates active user

mobile

N

Mobile phone number of the employee

email

N

Email address of the employee

address

N

Employee home address: street address and house number

zipcode

N

Postal code of the employee's home address

city

N

Employee's home address city

country

N

Employee's country residence

latitude

N

Latitude coordinate. Used for displaying the employee's location on the map next to the planning board. Commonly used with GPS track & trace integrations

longitude

N

Longitude coordinate. Used for displaying the employee's location on the map next to the planning board. Commonly used with GPS track & trace integrations

warehouse

N

vehicle

N

ID of the vehicle driven by the employee. Mainly used with GPS track & trace integrations

birthday

N

Birthday of the employee

emp_freefield_1

N

Freefield. Can be used for storing any additional data

emp_freefield_2

N

Freefield. Can be used for storing any additional data

emp_freefield_3

N

Freefield. Can be used for storing any additional data

emp_freefield_4

N

Freefield. Can be used for storing any additional data

emp_freefield_5

N

Freefield. Can be used for storing any additional data

emp_certification_number_1

N

emp_certification_number_2

N

emp_order

N

Integer value. Determines the order in which employees are displayed on the planbord

start_type

N

Defines the type of the employee's starting location. Mainly used for GPS track and trace integrations, to determine the start of a work day. Possible values: EMPLOYEE_ADDRESS - Starting address is equal to the employee's home address COMPANY_ADDRESS - Starting address is equal to the company address details set in the Outsmart account OTHER - Option to supply a different starting address manually. Use starting address fields as additional input

start_address

N

Starting address for employee. Street name and house number

start_city

N

Starting address city for the employee

start_zipcode

N

Starting address postal code for the employee

start_country

N

Starting address country for the employee

start_latitude

N

Starting address latitude coordinates

start_longitude

N

Starting address longitude coordinates

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

application/json
codeintegerOptional
messagesarrayOptional
responseintegerOptional
post/employees/
POST /employees/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

{
  "code": 200,
  "messages": [],
  "response": 1
}

Last updated

Was this helpful?